## satellite-gtk 0.2.8

=== debian/changelog ===
satellite-gtk (0.2.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1018706)

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 11 Sep 2022 10:33:22 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d+\.\S+)\.tar\.gz/satellite-gtk-$1\.tar\.gz
 https://codeberg.org/tpikonen/satellite/tags .*/archive/(\d+\.\S+)\.tar\.gz

## satellite-gtk 0.3.1

=== requirements.txt ===
gpxpy
pynmea2
pydbus

=== debian/changelog ===
satellite-gtk (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Remove filename mangling

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 22 Jan 2023 16:06:59 +0100

satellite-gtk (0.2.8-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 06 Dec 2022 17:06:52 +0100

=== debian/control ===
Source: satellite-gtk
Section: misc
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://codeberg.org/tpikonen/satellite/
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/satellite-gtk
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/satellite-gtk.git

Package: satellite-gtk
Architecture: all
Depends:
 gir1.2-handy-1,
 gir1.2-modemmanager-1.0,
 python3-gi,
 python3-gpxpy,
 python3-nmea2,
 python3-pydbus,
 ${misc:Depends},
 ${python3:Depends},
Description: Adaptive GTK application which displays GNSS data
 Satellite is an adaptive GTK / libhandy application
 which displays global navigation satellite system (GNSS: GPS et al.) data
 obtained from ModemManager API.
 .
 It can also be used to record gpx tracks.

## satellite-gtk 0.4.2

=== requirements.txt ===
gpxpy
pynmea2

=== debian/changelog ===
satellite-gtk (0.4.2-1) unstable; urgency=medium

  * Team upload

  * New upstream release
  * d/control: drop now-unneeded pydbus dependency

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 04 Oct 2023 12:24:35 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  python3-gi,
  python3-gpxpy,
  python3-nmea2,
- python3-pydbus,
  ${misc:Depends},
  ${python3:Depends},
 Description: Adaptive GTK application which displays GNSS data

=== debian/watch ===
version=4
https://codeberg.org/tpikonen/satellite/tags .*/archive/@ANY_VERSION@\.tar\.gz

## satellite-gtk 0.9.0

=== requirements.txt ===
gpxpy
pygobject
pynmea2

=== debian/changelog ===
satellite-gtk (0.9.0-1) unstable; urgency=medium

  * Team upload.

  * New upstream release (Closes: #1090736)
  * d/control: update dependencies/description for GTK4 port.
    Also bump Standards-Version as no other change is needed.

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 08 Feb 2025 11:38:18 +0100

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/satellite --help
Restrictions: superficial
Depends:
 at-spi2-core,
 satellite-gtk,
 xauth,
 xvfb,

## satellite-gtk 0.9.1

=== satellite/Makefile ===
UI_FILES = window.ui menus.ui dataframe.ui

%.ui : %.blp
	blueprint-compiler compile --output $@ $<

ui: $(UI_FILES)

clean:
	rm -f $(UI_FILES)

all: ui

=== debian/changelog ===
satellite-gtk (0.9.1-1) unstable; urgency=high

  * Team upload
  * New upstream release
  * autopkgtest: switch from xvfb-run to xwfb-run
  * debian/copyright: update years

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 16:24:20 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-sequence-python3,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://codeberg.org/tpikonen/satellite/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/satellite-gtk
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/satellite-gtk.git
@@ -18,7 +18,7 @@
 Package: satellite-gtk
 Architecture: all
 Depends:
- gir1.2-handy-1,
+ gir1.2-adw-1,
  gir1.2-modemmanager-1.0,
  python3-gi,
  python3-gpxpy,
@@ -26,7 +26,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Description: Adaptive GTK application which displays GNSS data
- Satellite is an adaptive GTK / libhandy application
+ Satellite is an adaptive GTK / libadwaita application
  which displays global navigation satellite system (GNSS: GPS et al.) data
  obtained from ModemManager API.
  .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=satellite-gtk

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf satellite_tpikonen.egg-info/

=== debian/tests/control ===
Test-Command: xwfb-run -- /usr/bin/satellite --help
Restrictions: superficial
Depends:
 at-spi2-core,
 satellite-gtk,
 xauth,
 xwayland-run
